Create Weekly Recurring Meetings

Changes an existing Meeting into a Recurring Meeting, so that it will recur regularly given the specified rules. A Recurring Meeting is one that occurs on a specific regular frequency, such as Daily, Weekly, Monthly, or Yearly. To create a Recurring Meeting, you must first create a regular Meeting with the necessary information, then call one of the Create Recurring Meeting APIs. To remove an instance of a Recurring Meeting, call Delete Recurring Meeting and specify one or more instances of the Recurring Meeting.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

meetingIdstringRequiredformat: "uuid"
The unique identifier of the Meeting

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The weekly recurring settings
recurringEndDatestring or nullOptionalformat: "date-time"
RecurringEndDate
endAfterNumberOfOccurencesinteger or nullOptional
EndAfterNumberOfOccurences
repeatOnEveryNumberOfWeeksinteger or nullOptional
RepeatOnEveryNumberOfWeeks
repeatWeekDayslist of integersOptional
RepeatWeekDays

Response

Success
errorobject or nullOptional
If the API call failed, this will contain information about the error that occurred.
successbooleanOptionalRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanOptionalRead-only
True if the API call failed.
statusCodeenumOptional
The HTTP code of the response.
dataobjectOptional
RecurringTaskChangeSetDetails